public inbox for gcc@gcc.gnu.org
 help / color / mirror / Atom feed
* AIX bootstrap failure
@ 1997-11-06  2:18 Dave Love
  1997-11-06  8:33 ` David Edelsohn
  1997-11-06  9:18 ` Jeffrey A Law
  0 siblings, 2 replies; 22+ messages in thread
From: Dave Love @ 1997-11-06  2:18 UTC (permalink / raw)
  To: egcs

On rs6000-ibm-aix4.1.4.0 the 311097 snapshot fails to bootstrap with
native tools:

	stage1/xgcc -Bstage1/ -c  -DIN_GCC    -O2 -g   -DHAVE_CONFIG_H     -I. -I. -I./config rtl.c
	cc  -DIN_GCC    -O2 -g   -DHAVE_CONFIG_H   -o genattr  genattr.o rtl.o ` case "obstack.o" in ?*) echo obstack.o ;; esac ` ` case "cc"@"alloca.o" in "cc"@?*) echo alloca.o ;; esac ` ` case "" in ?*) echo  ;; esac `   -lm -lld
ld: 0711-317 ERROR: Undefined symbol: .alloca
ld: 0711-345 Use the -bloadmap or -bnoquiet option to obtain more information.
make: The error code from the last command is 8.


^ permalink raw reply	[flat|nested] 22+ messages in thread
[parent not found: <10111111037.AA01266@vlsi1.ultra.nyu.edu>]
* AIX bootstrap failure
@ 2002-10-01  9:46 David Edelsohn
  2002-10-01 10:17 ` Graham Stott
  0 siblings, 1 reply; 22+ messages in thread
From: David Edelsohn @ 2002-10-01  9:46 UTC (permalink / raw)
  To: gcc

	Bootstrap failed on AIX with GCC 3.3 20021001 experimental updated:

Tue Oct  1 10:45:47 EDT 2002
Tue Oct  1 14:45:47 UTC 2002

/gcc/dje/build/powerpc-ibm-aix4.3.3.0-20021001/gcc/xgcc -shared-libgcc -B/gcc/dje/build/powerpc-ibm-aix4.3.3.0-20021001/gcc/ -nostdinc++ -L/gcc/dje/build/powerpc-ibm-aix4.3.3.0-20021001/powerpc-ibm-aix4.3.3.0/ppc64/libstdc++-v3/src -L/gcc/dje/build/powerpc-ibm-aix4.3.3.0-20021001/powerpc-ibm-aix4.3.3.0/ppc64/libstdc++-v3/src/.libs -B/gcc/dje/install/powerpc-ibm-aix4.3.3.0-20021001/powerpc-ibm-aix4.3.3.0/bin/ -B/gcc/dje/install/powerpc-ibm-aix4.3.3.0-20021001/powerpc-ibm-aix4.3.3.0/lib/ -isystem /gcc/dje/install/powerpc-ibm-aix4.3.3.0-20021001/powerpc-ibm-aix4.3.3.0/include -maix64 -nostdinc++ -I/gcc/dje/build/powerpc-ibm-aix4.3.3.0-20021001/powerpc-ibm-aix4.3.3.0/ppc64/libstdc++-v3/include/powerpc-ibm-aix4.3.3.0 -I/gcc/dje/build/powerpc-ibm-aix4.3.3.0-20021001/powerpc-ibm-aix4.3.3.0/ppc64/libstdc++-v3/include -I/gcc/dje/src/libstdc++-v3/libsupc++ -I/gcc/dje/src/libstdc++-v3/libmath -g -O2 -maix64 -fno-implicit-templates -Wall -Wno-format -W -Wwrite-strings -Winline -fdiagnos!
tics-show-location=once -ffunction-sections -fdata-sections -g -c /gcc/dje/src/libstdc++-v3/src/localename.cc   -DPIC -o .libs/localename.o

/gcc/dje/src/libstdc++-v3/src/localename.cc: In member function `void 
   std::locale::_Impl::_M_replace_categories(const std::locale::_Impl*, 
   unsigned int)':
/gcc/dje/src/libstdc++-v3/src/localename.cc:219: internal compiler error: in 
   int_mode_for_mode, at stor-layout.c:292

int_mode_for_mode is being invoked with the argument of GET_MODE (op0)

op0 is (mem/s/u (reg/f:DI 131) [68 _S_facet_categories A8])

^ permalink raw reply	[flat|nested] 22+ messages in thread
* AIX bootstrap failure
@ 2002-10-01 16:05 Mark Mitchell
  2002-10-01 16:07 ` David Edelsohn
  0 siblings, 1 reply; 22+ messages in thread
From: Mark Mitchell @ 2002-10-01 16:05 UTC (permalink / raw)
  To: dje; +Cc: gcc

Your test case does not crash my powerpc-ibm-aix4.3.3.0 cross compiler
built on i686-pc-linux-gnu:

base-2.05$ ./cc1plus -quiet ~/tmp/test.C
bash-2.05$ ./cc1plus -version
GNU C++ version 3.3 20020930 (experimental) (powerpc-ibm-aix4.3.3.0)
bash-2.05$ wc -l ~/tmp/test.C
  20771 /home/mitchell/tmp/test.C

Unfortunately, I deleted the mail with the options in it accidentally
after you said that no options were required.  If options are required,
would you please resend that information to me?

-- 
Mark Mitchell                mark@codesourcery.com
CodeSourcery, LLC            http://www.codesourcery.com

^ permalink raw reply	[flat|nested] 22+ messages in thread
* Re: AIX bootstrap failure
@ 2002-10-01 16:28 John David Anglin
  2002-10-01 22:23 ` Loren James Rittle
  0 siblings, 1 reply; 22+ messages in thread
From: John David Anglin @ 2002-10-01 16:28 UTC (permalink / raw)
  To: gcc

I see exactly the same error under hppa-unknown-linux-gnu:

../../../../gcc/libstdc++-v3/src/localename.cc: In member function `void
   std::locale::_Impl::_M_replace_categories(const std::locale::_Impl*,
   unsigned int)':
../../../../gcc/libstdc++-v3/src/localename.cc:219: internal compiler error: in
   int_mode_for_mode, at stor-layout.c:295

Dave
-- 
J. David Anglin                                  dave.anglin@nrc.ca
National Research Council of Canada              (613) 990-0752 (FAX: 952-6605)

^ permalink raw reply	[flat|nested] 22+ messages in thread
* AIX bootstrap failure
@ 2003-03-07 16:35 David Edelsohn
  0 siblings, 0 replies; 22+ messages in thread
From: David Edelsohn @ 2003-03-07 16:35 UTC (permalink / raw)
  To: gcc

	AIX has not been able to bootstrap for the past three days due to
various RTL check failures and now a segmentation fault.  The number of
simultaneous problems is getting overwhelming.

David

^ permalink raw reply	[flat|nested] 22+ messages in thread
* Re: AIX bootstrap failure
@ 2004-09-29 18:01 jlquinn
  2004-09-29 18:04 ` David Edelsohn
  0 siblings, 1 reply; 22+ messages in thread
From: jlquinn @ 2004-09-29 18:01 UTC (permalink / raw)
  To: gcc

I updated the tree (no local patches), and reconfigured and bootstrapped mainline.  The config is:

../gcc/configure   --prefix=/home/jlquinn/gcc/dev --with-cpu=power4 --with-gcc-version-trigger=/home/jlquinn/gcc/dev/gcc/gcc/version.c --enable-languages=c,c++,java

This is on AIX 5.2 pl 3, using xlc.

Jerry Quinn

Comparing stage2 and stage3 of the compiler
make[1]: Entering directory `/home/jlquinn/gcc/dev/build/gcc'
rm -f .bad_compare
case "slowcompare" in *compare | *compare-lean ) stage=2 ;; * ) stage=`echo slowcompare | sed -e 's,^[a-z]*compare\([0-9][0-9]*\).*,\1,'` ;; esac; \
for dir in . cp java; do \
  if [ "`echo $dir/*.o`" != "$dir/*.o" ] ; then \
    for file in $dir/*.o; do \
      case "slowcompare" in \
        slowcompare* ) \
          tail +16c ./$file > tmp-foo1; \
          tail +16c stage$stage/$file > tmp-foo2 \
            && (cmp tmp-foo1 tmp-foo2 > /dev/null 2>&1 || echo $file differs >>
.bad_compare) || true; \
          ;; \
        fastcompare* ) \
          cmp $file stage$stage/$file 16 16 > /dev/null 2>&1; \
          test $? -eq 1 && echo $file differs >> .bad_compare || true; \
          ;; \
        gnucompare* ) \
          cmp --ignore-initial=16 $file stage$stage/$file > /dev/null 2>&1; \
          test $? -eq 1 && echo $file differs >> .bad_compare || true; \
          ;; \
      esac ; \
    done; \
  else true; fi; \
done
rm -f tmp-foo*
case "slowcompare" in *compare | *compare-lean ) stage=2 ;; * ) stage=`echo slowcompare | sed -e 's,^[a-z]*compare\([0-9][0-9]*\).*,\1,'` ;; esac; \
if [ -f .bad_compare ]; then \
  echo "Bootstrap comparison failure!"; \
  cat .bad_compare; \
  exit 1; \
else \
  case "slowcompare" in \
    *-lean ) rm -rf stage$stage ;; \
    *) ;; \
  esac; true; \
fi
Bootstrap comparison failure!
./fold-const.o differs
make[1]: *** [slowcompare] Error 1
make[1]: Leaving directory `/home/jlquinn/gcc/dev/build/gcc'
make: *** [bootstrap] Error 2


^ permalink raw reply	[flat|nested] 22+ messages in thread
* AIX bootstrap failure
@ 2005-05-18 13:51 David Edelsohn
  0 siblings, 0 replies; 22+ messages in thread
From: David Edelsohn @ 2005-05-18 13:51 UTC (permalink / raw)
  To: gcc

LAST_UPDATED:
Wed May 18 00:10:41 EDT 2005
Wed May 18 04:10:41 UTC 2005

/tmp/powerpc-ibm-aix5.2.0.0-20050518/./gcc/xgcc -B/tmp/powerpc-ibm-aix5.2.0.0-20050518/./gcc/ -B/farm/dje/install/powerpc-ibm-aix5.2.0.0-20050518/powerpc-ibm-aix5.2.0.0/bin/ -B/farm/dje/install/powerpc-ibm-aix5.2.0.0-20050518/powerpc-ibm-aix5.2.0.0/lib/ -isystem /farm/dje/install/powerpc-ibm-aix5.2.0.0-20050518/powerpc-ibm-aix5.2.0.0/include -isystem /farm/dje/install/powerpc-ibm-aix5.2.0.0-20050518/powerpc-ibm-aix5.2.0.0/sys-include -DHAVE_CONFIG_H -I. -I/farm/dje/src/src/libgfortran -I. -iquote/farm/dje/src/src/libgfortran/io -std=gnu99 -Wall -Wstrict-prototypes -Wmissing-prototypes -Wold-style-definition -Wextra -Wwrite-strings -O2 -g -O2 -c /farm/dje/src/src/libgfortran/runtime/main.c   -DPIC -o .libs/main.o
/farm/dje/src/src/libgfortran/runtime/main.c: In function '_GLOBAL__I_0__gfortrani_l8_to_l4_offset':
/farm/dje/src/src/libgfortran/runtime/main.c:119: internal compiler error: Segmentation fault

^ permalink raw reply	[flat|nested] 22+ messages in thread

end of thread, other threads:[~2005-05-18 13:34 UTC | newest]

Thread overview: 22+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
1997-11-06  2:18 AIX bootstrap failure Dave Love
1997-11-06  8:33 ` David Edelsohn
1997-11-06 10:18   ` Dave Love
1997-11-06  9:18 ` Jeffrey A Law
     [not found] <10111111037.AA01266@vlsi1.ultra.nyu.edu>
2001-11-01  8:30 ` Aldy Hernandez
2002-10-01  9:46 David Edelsohn
2002-10-01 10:17 ` Graham Stott
2002-10-01 11:01   ` David Edelsohn
2002-10-01 12:03     ` Mark Mitchell
2002-10-01 13:33       ` David Edelsohn
2002-10-01 15:33         ` Mark Mitchell
2002-10-01 16:05 Mark Mitchell
2002-10-01 16:07 ` David Edelsohn
2002-10-01 16:48   ` Mark Mitchell
2002-10-01 16:28 John David Anglin
2002-10-01 22:23 ` Loren James Rittle
2003-03-07 16:35 David Edelsohn
2004-09-29 18:01 jlquinn
2004-09-29 18:04 ` David Edelsohn
2004-10-01  0:41   ` Jerry Quinn
2004-10-01  1:25     ` David Edelsohn
2005-05-18 13:51 David Edelsohn

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).